Part Line
|
Menu location |
---|
Part → Create primitives → Line |
Workbenches |
Part, OpenSCAD |
Default shortcut |
None |
Introduced in version |
- |
See also |
Part Primitives |
Description
A Part Line is a parametric line that can be created with the
Part Primitives command. The coordinates of its start and end point are relative to the coordinate system defined by its DataPlacement property.
Usage
See Part Primitives.
Properties
See also: Property editor.
A Part Line object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Vertex 1 - Start
- DataX1 (
Distance
): The X coordinate of the start point of the line. The default is0mm
. - DataY1 (
Distance
): The Y coordinate of the start point of the line. The default is0mm
. - DataZ1 (
Distance
): The Z coordinate of the start point of the line. The default is0mm
.
Vertex 2 - Finish
- DataX2 (
Distance
): The X coordinate of the end point of the line. The default is10mm
. - DataY2 (
Distance
): The Y coordinate of the end point of the line. The default is10mm
. - DataZ2 (
Distance
): The Z coordinate of the end point of the line. The default is10mm
.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Line can be created with the addObject()
method of the document:
line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
- Where
"myLine"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9
doc.recompute()
- Primitives: Box, Cylinder, Sphere, Cone, Torus, Tube, Create primitives, Shape builder
- Creation and modification: Create sketch, Extrude, Revolve, Mirror, Scale, Fillet, Chamfer, Make face from wires, Ruled Surface, Loft, Sweep, Section, Cross sections, 3D Offset, 2D Offset, Thickness, Projection on surface, Color per face
- Boolean: Make compound, Explode compound, Compound Filter, Boolean, Cut, Union, Intersection, Connect objects, Embed object, Cutout for object, Boolean fragments, Slice apart, Slice to compound, Boolean XOR, Check geometry, Defeaturing
- Other tools: Import CAD file, Export CAD file, Box selection, Create shape from mesh, Create points object from geometry, Convert to solid, Reverse shapes, Create simple copy, Create transformed copy, Create shape element copy, Refine shape, Attachment
- Preferences: Preferences, Fine tuning

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub